<solidify-button-toolbar-detail [backToListNavigate]="backToListNavigate()"
                                [formPresentational]="formPresentational"
                                [listExtraButtons]="listExtraButtons"
                                [mode]="'create'"
                                [saveAvailable]="false"
>
</solidify-button-toolbar-detail>

<div [solidifySpinner]="isLoadingWithDependencyObs | async"
     class="wrapper"
>
  <dlcm-deposit-form #formPresentational
                     (dirtyChange)="updateCanDeactivate($event)"
                     (navigate)="navigate($event)"
                     (submitChange)="create($event)"
                     *ngIf="isReadyToBeDisplayedInCreateModeObs | async"
                     [additionalFieldsForm]="additionalFieldsFormObs | async"
                     [defaultPlatformLicenseId]="(systemPropertyObs | async)?.defaultLicense"
                     [defaultIdentifierType]="(systemPropertyObs | async)?.defaultIdentifierType"
                     [languages]="languagesObs | async"
                     [listPreservationPolicies]="listPreservationPoliciesObs | async"
                     [listSubmissionPolicies]="listSubmissionPoliciesObs | async"
                     [listArchiveMasterTypes]="listArchivesMasterTypesObs | async"
                     [orgUnitLogo]="logoOrgUnitObs | async"
                     [orgUnit]="orgUnitObs | async"
                     [personConnected]="personConnectedObs | async"
                     [readonly]="false"
                     [currentLanguage]="currentLanguageObs | async"
                     [listSubjectAreas]="listSubjectAreasObs | async"
  ></dlcm-deposit-form>
</div>

